Subject: CVS commit: pkgsrc/lang
From: Maya Rashish
Date: 2019-08-06 08:16:16
Message id: 20190806061616.5C6E8FBF4@cvs.NetBSD.org

Log Message:
gcc{48,49,5,6}: add patch to avoid fragile include guard logic
for ansi.h on netbsd.
gcc{7,8}: document same patch that already existed was upstreamed.

This patch is necessary to build GCC on NetBSD >= 9.0, since changes
to ansi.h resulted in not using the same include guards.

Fixes PR toolchain/54362

Files:
RevisionActionfile
1.1addpkgsrc/lang/gcc6/patches/patch-gcc_ginclude_stddef.h
1.1addpkgsrc/lang/gcc5/patches/patch-gcc_ginclude_stddef.h
1.2modifypkgsrc/lang/gcc8/patches/patch-gcc_ginclude_stddef.h
1.10modifypkgsrc/lang/gcc8/distinfo
1.2modifypkgsrc/lang/gcc7/patches/patch-gcc_ginclude_stddef.h
1.16modifypkgsrc/lang/gcc7/distinfo
1.17modifypkgsrc/lang/gcc6/distinfo
1.20modifypkgsrc/lang/gcc5/distinfo
1.2modifypkgsrc/lang/gcc49/patches/patch-gcc_ginclude_stddef.h
1.16modifypkgsrc/lang/gcc49/distinfo
1.3modifypkgsrc/lang/gcc48/patches/patch-gcc_ginclude_stddef.h
1.39modifypkgsrc/lang/gcc48/distinfo